Strophe 0.13 XMPP client library

Macros | Functions
event.c File Reference

Event loop and management. More...

## Macros
#define | _sleep(x) usleep((x)*1000)
#define | STROPHE_MESSAGE_BUFFER_SIZE 4096
| Max buffer size for receiving messages.

## Functions
static int | _connect_next (xmpp_conn_t *conn)
void | xmpp_run_once (xmpp_ctx_t *ctx, unsigned long timeout)
| Run the event loop once.
void | xmpp_run (xmpp_ctx_t *ctx)
| Start the event loop.
void | xmpp_stop (xmpp_ctx_t *ctx)
| Stop the event loop.
void | xmpp_ctx_set_timeout (xmpp_ctx_t *ctx, unsigned long timeout)
| Set the timeout to use when calling xmpp_run().

## Detailed Description

Event loop and management.

## Macro Definition Documentation

## ◆ _sleep

#define _sleep | ( |  | x | ) | usleep((x)*1000)

## ◆ STROPHE_MESSAGE_BUFFER_SIZE

#define STROPHE_MESSAGE_BUFFER_SIZE 4096

Max buffer size for receiving messages.

## Function Documentation

## ◆ _connect_next()

static int _connect_next | ( | xmpp_conn_t * | conn | ) |
| static